Bug 1130236 - Remove transacted and acknowledgeMode from outbound JCA
Summary: Remove transacted and acknowledgeMode from outbound JCA
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Tomohisa Igarashi
QA Contact: Jiri Sedlacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 15:22 UTC by Tomas Rohovsky
Modified: 2016-01-04 05:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 11:27:04 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2267 Major Closed Remove transacted and acknowledgeMode from outbound JCA 2015-06-12 08:01:42 UTC

Description Tomas Rohovsky 2014-08-14 15:22:07 UTC
Setting of acknowledgeMode on a session is useless on a producer. Setting of transacted session is also useless in current usage. Only one message is send during session, however a transactional session is intended to commit/rollback multiple sends. See the JMS specification 4.4.7:

    Each transaction groups a set of produced messages and a set of consumed messages into an atomic unit of work. ... When a transaction commits, its atomic unit of input is acknowledged and its associated atomic unit of output is sent.

Current implementation https://github.com/jboss-switchyard/components/blob/master/jca/src/main/java/org/switchyard/component/jca/processor/JMSProcessor.java#L151 makes no harm on JMS functionality, because acknowledgeMode is simply ignored by a JMS provider and commit is used correctly. But commiting can bring additional overhead.

Comment 1 JBoss JIRA Server 2014-09-18 10:08:26 UTC
Tomohisa igarashi <tm.igarashi@gmail.com> updated the status of jira SWITCHYARD-2267 to Closed

Comment 2 Tomohisa Igarashi 2014-11-18 11:27:04 UTC
We won't remove those properties to preserve backward compatibility. However, those will be removed from well-know properties list in tooling as part of SWITCHYARD-2325, so those are not added by default.


Note You need to log in before you can comment on or make changes to this bug.